Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058524 - Update RuleFlow profile
Summary: Update RuleFlow profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER2
: 6.0.1
Assignee: Pere Fernàndez
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks: 1048195
TreeView+ depends on / blocked
 
Reported: 2014-01-28 00:54 UTC by Kris Verlaenen
Modified: 2014-08-06 20:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:03:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Kris Verlaenen 2014-01-28 00:54:51 UTC
The RuleFlow profile in designer is showing too many nodes, the following should be removed (from palette but also from quick menus):

 - Tasks: User, Send, Receive, Manual, Service
 - Catching Intermediate events: compensation (remove entire category)
 - Service Tasks (remove entire category)
 - Workflow patterns (remove entire category)

Comment 3 Kris Verlaenen 2014-02-07 11:47:13 UTC
Pere, looking at https://github.com/droolsjbpm/jbpm-designer/commit/01e4b02dbf3ddb37309667c8d0382827e33cdd62 it seems you also removed business rule task, script task and task, which should still be there.

Comment 4 Pere Fernàndez 2014-02-07 17:58:45 UTC
Added back the missing task nodes. Fixed the Task quick menu options.

Commit (master): https://github.com/droolsjbpm/jbpm-designer/commit/f2be46ff8c84c98309c1ec95458529a898fbed57

Commit (6.0.x): https://github.com/droolsjbpm/jbpm-designer/commit/549ef6402fb94496f8183a8f26fb73e3e8b702af

Comment 5 Sona Mala 2014-02-18 15:19:59 UTC
There is state for 6.0.1 ER1:

1) Object library contains category "Service Tasks" with "WS", "REST"
     - commit [1] shows that was removed just "Email" and "Log". Is this correct?
     - description of this tasks says that whole category should be removed.
2) Property "Task Type" contains all type of tasks (Human, Send, etc.)
     - commit [2] shows that Morph Shape menu contains just Business Rule and Script task.
     - I expect that items for Morph Shape Menu should be same as items for Task Type property.

Please tell me if these problems are related to this issue or I should create a new issue.

[1] https://github.com/droolsjbpm/jbpm-designer/commit/01e4b02dbf3ddb37309667c8d0382827e33cdd62

[2] https://github.com/droolsjbpm/jbpm-designer/commit/f2be46ff8c84c98309c1ec95458529a898fbed57

Comment 6 Kris Verlaenen 2014-02-18 15:47:55 UTC
This needs to be improved:
1) can we disable the category (rather than individual entries)?
2) task type property should be same as palette / morph shape menu if possible

Comment 7 Pere Fernàndez 2014-02-20 16:44:17 UTC
Improved the way that nodes are disabled on the palette, now you can choose an entire group.

Filtered tasktype combo on task properties window to be consitent with the tasktypes shown on the palette.

Commit (master): https://github.com/droolsjbpm/jbpm-designer/commit/e5646d81be9522bb87a44f7ba87b37c09c29c813

Commit (6.0.x): https://github.com/droolsjbpm/jbpm-designer/commit/f9bdc59d0c6dd9cdf63a5daf20a87b9f3ae91cd0

Comment 8 Sona Mala 2014-02-20 16:57:43 UTC
Please what about Compensation intermediate catch event in Simple object library set? 

"StartCompensationEvent" and "EndCompensationEvent" was removed.

Comment 9 Marek Baluch 2014-03-09 11:27:19 UTC
Verified on BPMS 6.0.1.ER2.

Listed categories have been removed.


Note You need to log in before you can comment on or make changes to this bug.